<?php
// Popular Posts Options.
$wp_customize->add_section(
    'home_page_popular_post_options',
    array(
        'title' => __('Popular Options', 'newscurve'),
        'panel' => 'header_options_panel',
    )
);
$wp_customize->add_setting(
    'newscurve_options[enable_popular_posts]',
    array(
        'default' => $newscurve_default['enable_popular_posts'],
        'sanitize_callback' => 'newscurve_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'newscurve_options[enable_popular_posts]',
    array(
        'label' => __('Enable Popular Section', 'newscurve'),
        'section' => 'home_page_popular_post_options',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting(
    'newscurve_options[enable_popular_only_on_frontpage]',
    array(
        'default' => $newscurve_default['enable_popular_only_on_frontpage'],
        'sanitize_callback' => 'newscurve_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'newscurve_options[enable_popular_only_on_frontpage]',
    array(
        'label' => __('Display only on the Homepage', 'newscurve'),
        'section' => 'home_page_popular_post_options',
        'type' => 'checkbox',
    )
);

// Popular Posts Category.
$wp_customize->add_setting(
    'newscurve_options[popular_post_cat]',
    array(
        'default' => $newscurve_default['popular_post_cat'],
        'sanitize_callback' => 'absint',
    )
);
$wp_customize->add_control(
    new Newscurve_Dropdown_Taxonomies_Control(
        $wp_customize,
        'newscurve_options[popular_post_cat]',
        array(
            'label' => __('Choose Category', 'newscurve'),
            'section' => 'home_page_popular_post_options',
        )
    )
);
// No of posts.
$wp_customize->add_setting(
    'newscurve_options[no_of_popular_posts]',
    array(
        'default' => $newscurve_default['no_of_popular_posts'],
        'sanitize_callback' => 'absint',
    )
);
$wp_customize->add_control(
    'newscurve_options[no_of_popular_posts]',
    array(
        'label' => __('Number of Posts', 'newscurve'),
        'section' => 'home_page_popular_post_options',
        'type' => 'number',
    )
);

// No of posts offset.
$wp_customize->add_setting(
    'newscurve_options[popular_posts_number_of_post_offsets]',
    array(
        'default' => $newscurve_default['popular_posts_number_of_post_offsets'],
        'sanitize_callback' => 'absint',
    )
);
$wp_customize->add_control(
    'newscurve_options[popular_posts_number_of_post_offsets]',
    array(
        'label' => __('Post Offset Number', 'newscurve'),
        'section' => 'home_page_popular_post_options',
        'type' => 'number',
    )
);


// Posts Orderby.
$wp_customize->add_setting(
    'newscurve_options[popular_post_orderby]',
    array(
        'default' => $newscurve_default['popular_post_orderby'],
        'sanitize_callback' => 'newscurve_sanitize_select',
    )
);
$wp_customize->add_control(
    'newscurve_options[popular_post_orderby]',
    array(
        'label' => __('Orderby', 'newscurve'),
        'section' => 'home_page_popular_post_options',
        'type' => 'select',
        'choices' => array(
            'date' => __('Date', 'newscurve'),
            'id' => __('ID', 'newscurve'),
            'title' => __('Title', 'newscurve'),
            'rand' => __('Random', 'newscurve'),
        ),
    )
);
// Posts Order.
$wp_customize->add_setting(
    'newscurve_options[popular_post_order]',
    array(
        'default' => $newscurve_default['popular_post_order'],
        'sanitize_callback' => 'newscurve_sanitize_select',
    )
);
$wp_customize->add_control(
    'newscurve_options[popular_post_order]',
    array(
        'label' => __('Order', 'newscurve'),
        'section' => 'home_page_popular_post_options',
        'type' => 'select',
        'choices' => array(
            'asc' => __('ASC', 'newscurve'),
            'desc' => __('DESC', 'newscurve'),
        ),
    )
);
$wp_customize->add_setting(
    'newscurve_options[enable_popular_post_author_meta]',
    array(
        'default' => $newscurve_default['enable_popular_post_author_meta'],
        'sanitize_callback' => 'newscurve_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'newscurve_options[enable_popular_post_author_meta]',
    array(
        'label' => esc_html__('Display Author Meta', 'newscurve'),
        'section' => 'home_page_popular_post_options',
        'type' => 'checkbox',
    )
);
$wp_customize->add_setting(
    'newscurve_options[select_popular_post_author_meta]',
    array(
        'default' => $newscurve_default['select_popular_post_author_meta'],
        'sanitize_callback' => 'newscurve_sanitize_select',
    )
);
$wp_customize->add_control(
    'newscurve_options[select_popular_post_author_meta]',
    array(
        'label' => esc_html__('Select Author Meta', 'newscurve'),
        'section' => 'home_page_popular_post_options',
        'type' => 'select',
        'choices' => newscurve_author_meta(),
    )
);
$wp_customize->add_setting(
    'newscurve_options[popular_post_author_meta_title]',
    array(
        'default' => $newscurve_default['popular_post_author_meta_title'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'newscurve_options[popular_post_author_meta_title]',
    array(
        'label' => __('Author Meta Text', 'newscurve'),
        'section' => 'home_page_popular_post_options',
        'type' => 'text',
    )
);
$wp_customize->add_setting(
    'newscurve_options[enable_popular_post_date_meta]',
    array(
        'default' => $newscurve_default['enable_popular_post_date_meta'],
        'sanitize_callback' => 'newscurve_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'newscurve_options[enable_popular_post_date_meta]',
    array(
        'label' => esc_html__('Display Published Date', 'newscurve'),
        'section' => 'home_page_popular_post_options',
        'type' => 'checkbox',
    )
);
$wp_customize->add_setting(
    'newscurve_options[select_popular_post_date]',
    array(
        'default' => $newscurve_default['select_popular_post_date'],
        'sanitize_callback' => 'newscurve_sanitize_select',
    )
);
$wp_customize->add_control(
    'newscurve_options[select_popular_post_date]',
    array(
        'label' => esc_html__('Select Date Meta', 'newscurve'),
        'section' => 'home_page_popular_post_options',
        'type' => 'select',
        'choices' => newscurve_date_meta(),
    )
);
$wp_customize->add_setting(
    'newscurve_options[select_popular_post_date_meta_title]',
    array(
        'default' => $newscurve_default['select_popular_post_date_meta_title'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'newscurve_options[select_popular_post_date_meta_title]',
    array(
        'label' => __('Date Meta Text', 'newscurve'),
        'section' => 'home_page_popular_post_options',
        'type' => 'text',
    )
);
$wp_customize->add_setting(
    'newscurve_options[select_popular_post_date_format]',
    array(
        'default' => $newscurve_default['select_popular_post_date_format'],
        'sanitize_callback' => 'newscurve_sanitize_select',
    )
);
$wp_customize->add_control(
    'newscurve_options[select_popular_post_date_format]',
    array(
        'label' => esc_html__('Select Date Format', 'newscurve'),
        'section' => 'home_page_popular_post_options',
        'type' => 'select',
        'choices' => newscurve_get_date_formats(),
    )
);
$wp_customize->add_setting(
    'newscurve_options[enable_popular_post_category_meta]',
    array(
        'default' => $newscurve_default['enable_popular_post_category_meta'],
        'sanitize_callback' => 'newscurve_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'newscurve_options[enable_popular_post_category_meta]',
    array(
        'label' => esc_html__('Enable Category Meta', 'newscurve'),
        'section' => 'home_page_popular_post_options',
        'type' => 'checkbox',
    )
);
$wp_customize->add_setting(
    'newscurve_options[select_popular_post_number_of_category]',
    array(
        'default' => $newscurve_default['select_popular_post_number_of_category'],
        'sanitize_callback' => 'absint',
    )
);
$wp_customize->add_control(
    'newscurve_options[select_popular_post_number_of_category]',
    array(
        'label' => __('Number of Category', 'newscurve'),
        'section' => 'home_page_popular_post_options',
        'type' => 'number',
    )
);
$wp_customize->add_setting(
    'newscurve_options[popular_post_category_label]',
    array(
        'default' => $newscurve_default['popular_post_category_label'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'newscurve_options[popular_post_category_label]',
    array(
        'label' => __('Category Label', 'newscurve'),
        'section' => 'home_page_popular_post_options',
        'type' => 'text',
    )
);

$wp_customize->add_setting(
    'newscurve_options[select_popular_post_category_color]',
    array(
        'default' => $newscurve_default['select_popular_post_category_color'],
        'sanitize_callback' => 'newscurve_sanitize_select',
    )
);
$wp_customize->add_control(
    'newscurve_options[select_popular_post_category_color]',
    array(
        'label' => esc_html__('Select Category Color', 'newscurve'),
        'section' => 'home_page_popular_post_options',
        'type' => 'select',
        'choices' => newscurve_category_color(),
    )
);
$wp_customize->add_setting(
    'newscurve_options[popular_post_column]',
    array(
        'default' => $newscurve_default['popular_post_column'],
        'sanitize_callback' => 'newscurve_sanitize_select',
    )
);
$wp_customize->add_control(
    'newscurve_options[popular_post_column]',
    array(
        'label' => __('Popular Post Column', 'newscurve'),
        'section' => 'home_page_popular_post_options',
        'type' => 'select',
        'choices' => array(
            '2' => __('2', 'newscurve'),
            '3' => __('3', 'newscurve'),
            '4' => __('4', 'newscurve'),
            '5' => __('5', 'newscurve'),
        ),
        'active_callback' => 'newscurve_is_popular_post_enabled',
    )
);
// Enable  Autoplay.
$wp_customize->add_setting(
    'newscurve_options[enable_popular_post_autoplay]',
    array(
        'default' => $newscurve_default['enable_popular_post_autoplay'],
        'sanitize_callback' => 'newscurve_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'newscurve_options[enable_popular_post_autoplay]',
    array(
        'label' => __('Enable Autoplay', 'newscurve'),
        'section' => 'home_page_popular_post_options',
        'type' => 'checkbox',
        'active_callback' => 'newscurve_is_popular_post_enabled',
    )
);
$wp_customize->add_setting(
    'newscurve_options[enable_popular_post_arrows]',
    array(
        'default' => $newscurve_default['enable_popular_post_arrows'],
        'sanitize_callback' => 'newscurve_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'newscurve_options[enable_popular_post_arrows]',
    array(
        'label' => __('Enable Arrows', 'newscurve'),
        'section' => 'home_page_popular_post_options',
        'type' => 'checkbox',
        'active_callback' => 'newscurve_is_popular_post_enabled',
    )
);
$wp_customize->add_setting(
    'newscurve_options[enable_popular_post_dots]',
    array(
        'default' => $newscurve_default['enable_popular_post_dots'],
        'sanitize_callback' => 'newscurve_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'newscurve_options[enable_popular_post_dots]',
    array(
        'label' => __('Enable Dots', 'newscurve'),
        'section' => 'home_page_popular_post_options',
        'type' => 'checkbox',
        'active_callback' => 'newscurve_is_popular_post_enabled',
    )
);
